## despotify 0.1maemo2svn483

=== bindings/python/doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf _build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) _build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in _build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) _build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) _build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in _build/qthelp, like this:"
	@echo "# qcollectiongenerator _build/qthelp/Spytify.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile _build/qthelp/Spytify.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

## despotify 0.1

=== debian/changelog ===
despotify (0.1) fremantle; urgency=low

  * Packaging for Maemo

 -- Micke Nordin <mickewiki@gmail.com>  Tue, 29 Dec 2009 00:57:19 +0100
 

despotify (0.0.0-0) UNRELEASED; urgency=low

  * TODO: update version on build 0.0.YYYYMMDD (last commit's date)

 -- UNDEFINED <root@localhost>  Sun, 26 Jul 2009 21:09:19 +0200

despotify (0.0.20090726-0) UNRELEASED; urgency=low

  * Merged into upstream tree

 -- UNDEFINED <root@localhost>  Sun, 26 Jul 2009 17:29:05 +0200

despotify (0.svn20090605-r339~ppa1~jaunty1) jaunty; urgency=low

  * Automated backport by prevu. No source changes

 -- Tim Kornhammar <tim.kornhammar@gmail.com>  Fri, 05 Jun 2009 13:20:25 +0200

despotify (0.svn20090605-r339) jaunty; urgency=low

  * Svn update.

 -- Tim Kornhammar <tim.kornhammar@gmail.com>  Fri, 05 Jun 2009 13:20:04 +0200

=== debian/control ===
Source: despotify
Section: sound
Priority: extra
Maintainer: Micke Nordin <mickewiki@gmail.com>
Build-Depends: debhelper (>= 5),
               libtool,
               libexpat1-dev,
               libncurses5-dev,
               libpulse-dev,
               libssl-dev,
               libvorbis-dev,
               zlib1g-dev,
	           libncursesw5-dev,
	           libao0        
Standards-Version: 3.7.3
Homepage: http://despotify.se

Package: despotify
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: despotify, despotify-simple, despotify-gateway, libdespotify
Description: An open source Spotify client.
 * C implementation based on F/OSS code
 * Proof of Concept multi-OS client with curses (text-based) UI
 * Proof of Concept gateway to the Spotify service (text-based 
   protocol, for supporting REST).

## despotify 0.1maemo1

=== debian/changelog ===
despotify (0.1maemo1) fremantle; urgency=low

  * Adding dependency to libao0

 -- Micke Nordin <mickewiki@gmail.com>  Tue, 29 Dec 2009 15:17:19 +0100
 

=== debian/control ===
--- 
+++ 
@@ -13,11 +13,10 @@
 	           libncursesw5-dev,
 	           libao0        
 Standards-Version: 3.7.3
-Homepage: http://despotify.se
 
 Package: despotify
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: libao0
 Provides: despotify, despotify-simple, despotify-gateway, libdespotify
 Description: An open source Spotify client.
  * C implementation based on F/OSS code

## despotify 0.1maemo1svn483

=== debian/changelog ===
despotify (0.1maemo1svn483) fremantle; urgency=low

  * Adding dependency to libncursesw5 and libvorbis0a 

 -- Micke Nordin <mickewiki@gmail.com>  Wed, 31 Dec 2009 10:40:23 +0100

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
                libssl-dev,
                libvorbis-dev,
                zlib1g-dev,
-	           libncursesw5-dev,
-	           libao0        
+	       libncursesw5-dev,
+	       libao0        
 Standards-Version: 3.7.3
 
 Package: despotify
 Architecture: any
-Depends: libao0
+Depends: libao0, libncursesw5, libvorbis01
 Provides: despotify, despotify-simple, despotify-gateway, libdespotify
 Description: An open source Spotify client.
  * C implementation based on F/OSS code

## despotify 0.1maemo2svn483

=== debian/changelog ===
despotify (0.1maemo2svn483) fremantle; urgency=low

  * Adding dependency to libvorbisfile3
 
 -- Micke Nordin <mickewiki@gmail.com>  Wed, 31 Dec 2009 11:21:27 +0100
  

## despotify 0.1maemo3svn483

=== debian/changelog ===
despotify (0.1maemo3svn483) fremantle; urgency=low

  * Optification
 
 -- Micke Nordin <mickewiki@gmail.com>  Sat, 02 Jan 2010 11:09:32 +0100

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

MAKEFLAGS=CLIENT_GATEWAY=1 CLIENT_DESPOTIFY=1

build: build-stamp
build-stamp: 
	dh_testdir

	mkdir -p $(CURDIR)/debian/tmp
	
	# Add here commands to compile the package.
	$(MAKE) ${MAKEFLAGS}

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	$(MAKE) clean ${MAKEFLAGS}
	rm -rf $(CURDIR)/debian/tmp/

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Build
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/ ${MAKEFLAGS}
	
	# Install
#	dh_install -si --fail-missing --sourcedir=debian/tmp
	dh_install -si --sourcedir=debian/tmp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify despotify
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## despotify 0.1maemo3svn484

=== Makefile ===
#
# $Id: Makefile 392 2009-07-26 18:59:54Z rzr $
# 
#

export

CFLAGS = -Wall -Wextra -ggdb -std=gnu99
LDFLAGS = -lz -lvorbisfile

LD = $(CC)

ifndef V
# run "make V=1" to see full command lines
SILENT := @
SILENTDIR := -s
SILENTLIB := --quiet
endif

INSTALL_PREFIX ?= ${DESTDIR}/usr
LINUX_BACKEND = gstreamer

include Makefile.local.mk

ifeq ($(DEBUG), 1)
    CFLAGS += -DDEBUG
endif

# Mac OS X specifics
ifeq ($(shell uname -s),Darwin)
    LT = glibtool --tag=CC
else
    LT = libtool $(SILENTLIB) --tag=CC
endif

# windows specifics
ifeq ($(firstword $(subst _, ,$(shell uname -s))), MINGW32)
    LDFLAGS += -leay32
else
    LDFLAGS += -lcrypto
endif

# gcc2 & 3 are ancient and doesn't support -Wno-pointer-sign
ifeq ($(firstword $(subst ., ,$(shell $(CC) -dumpversion))), 4)
    CFLAGS += -Wno-pointer-sign
endif

CLIENTS = clients/simple
ifeq ($(CLIENT_DESPOTIFY), 1)
    CLIENTS += clients/despotify
endif
ifeq ($(CLIENT_GATEWAY), 1)
	CLIENTS += clients/gateway
endif
ifeq ($(CLIENT_MAEMIFY), 1)
	CLIENTS += clients/maemify
endif

SUBDIRS = lib $(CLIENTS)

.PHONY: all clean $(SUBDIRS) install uninstall

all: $(SUBDIRS)

clean: 
	for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir -f local.mk clean || exit $$?; \
	done

clients: $(CLIENTS)
$(CLIENTS): lib
$(SUBDIRS):
	$(MAKE) $(SILENTDIR) -C $@ -f local.mk

install: $(SUBDIRS)
	for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir -f local.mk install || exit $$?; \
	done

uninstall:
	for dir in $(SUBDIRS); do \
		$(MAKE) -C $$dir -f local.mk uninstall || exit $$?; \
	done

Makefile.local.mk:
	@echo " **** No Makefile.local.mk found, copying dist."
	cp Makefile.local.mk.dist Makefile.local.mk

=== bindings/python/src/Makefile ===
SRCS = spytify.pyx

OUTS := $(SRCS:.pyx=.c)

CYTHON = cython

all: $(OUTS)

spytify.c: album.pxi artist.pxi despotify.pxd playlist.pxi \
           searchresult.pxi sessionstruct.pxi spotifyobject.pxi \
           spytify.pxd spytify.pyx track.pxi

%.c: %.pyx
	$(CYTHON) `pkg-config --cflags-only-I despotify` -o $@ $< 

.PHONY: all clean

clean:
	$(RM) $(OUTS)

=== debian/changelog ===
despotify (0.1maemo3svn484) fremantle; urgency=low

  * Updating to svn 484
 
 -- Micke Nordin <mickewiki@gmail.com>  Thu, 07 Jan 2010 07:43:12 +0100
 

=== debian/control ===
--- 
+++ 
@@ -10,13 +10,13 @@
                libssl-dev,
                libvorbis-dev,
                zlib1g-dev,
-	       libncursesw5-dev,
-	       libao0        
+	           libncursesw5-dev,
+	           libao0        
 Standards-Version: 3.7.3
 
 Package: despotify
 Architecture: any
-Depends: libao0, libncursesw5, libvorbis01
+Depends: libao0, libncursesw5, libvorbis0a, libvorbisfile3
 Provides: despotify, despotify-simple, despotify-gateway, libdespotify
 Description: An open source Spotify client.
  * C implementation based on F/OSS code

=== debian/rules ===
--- 
+++ 
@@ -76,7 +76,6 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	maemo-optify despotify
 	dh_md5sums
 	dh_builddeb

## despotify 0.1maemo3svn488

=== bindings/python/Makefile ===
.PHONY: all src build install clean

all: src build

build:
	./setup.py build

src:
	$(MAKE) -C src/

install:
	./setup.py install

clean:
	$(RM) -r build/

distclean: clean
	$(MAKE) -C src/ clean

=== debian/changelog ===
despotify (0.1maemo3svn488) fremantle; urgency=low

  * Updating to svn 488
  * Dividing to three packages, patch by -Juho Hämäläinen:
  ** despotify
  ** libdespotify
  ** libdespotify-dev
 
 -- Micke Nordin <mickewiki@gmail.com>  Sat, 16 Jan 2010 11:04:21 +0100
 

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,23 @@
 	           libao0        
 Standards-Version: 3.7.3
 
+Package: libdespotify
+Section: libs
+Architecture: any
+Depends: ${shlibs:Depends} libvorbisfile3 (>= 1.2.0)
+Description: Despotify is an open source client and library for Spotify’s streamed music platform.
+
+Package: libdespotify-dev
+Section: libdevel
+Architecture: any
+Depends: libdespotify (= ${binary:Version})
+Description: Development files for libdespotify.
+
 Package: despotify
+Section: sound
 Architecture: any
-Depends: libao0, libncursesw5, libvorbis0a, libvorbisfile3
-Provides: despotify, despotify-simple, despotify-gateway, libdespotify
+Depends: libao0, libncursesw5, libvorbis0a, libvorbisfile3, libdespotify
+Provides: despotify, despotify-simple, despotify-gateway
 Description: An open source Spotify client.
  * C implementation based on F/OSS code
  * Proof of Concept multi-OS client with curses (text-based) UI

## despotify 0.1maemo8svn488

=== debian/changelog ===
despotify (0.1maemo8svn488) fremantle; urgency=low

  * Fixed libao build dependency.
 
 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 26 May 2010 23:56:37 +0200

despotify (0.1maemo4svn488) fremantle; urgency=low

  * Patch for client revision
 
 -- Micke Nordin <mickewiki@gmail.com>  Sat, 22 May 2010 12:44:37 +0200
 

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,14 @@
                libvorbis-dev,
                zlib1g-dev,
 	           libncursesw5-dev,
-	           libao0        
+	           libao-dev,
+	           libdespotify-dev
 Standards-Version: 3.7.3
 
 Package: libdespotify
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends} libvorbisfile3 (>= 1.2.0)
+Depends: ${shlibs:Depends}, libvorbisfile3 (>= 1.2.0)
 Description: Despotify is an open source client and library for Spotify’s streamed music platform.
 
 Package: libdespotify-dev

=== debian/rules ===
--- 
+++ 
@@ -72,7 +72,7 @@
 	dh_compress
 	dh_fixperms
 #	dh_perl
-#	dh_makeshlibs
+	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
